<?php
$servername = "localhost";
$username = "root";
$password = "";
$dbname = "contacts_form";

$conn = new mysqli($servername, $username, $password, $dbname);

if ($conn->connect_error) {
    die("Connection failed: " . $conn->connect_error);
}

if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    $data = json_decode(file_get_contents('php://input'), true);

    $name = mysqli_real_escape_string($conn, $data['name']);
    $email = mysqli_real_escape_string($conn, $data['email']);
    $sub = mysqli_real_escape_string($conn, $data['subject']);
    $message = mysqli_real_escape_string($conn, $data['message']);

    $stmt = $conn->prepare("INSERT INTO tbl_form (name, email, subject, message) VALUES (?, ?, ?, ?)");
    $stmt->bind_param("ssss", $name, $email, $sub, $message);

    if ($stmt->execute()) {
        echo "Record inserted successfully!";
    } else {
        echo "Error: " . $stmt->error;
    }

    $stmt->close();

    $to = "recipient@example.com";
    $subject = "Thank you for your message";
    $headers = "From: test@example.com\r\n";
    $headers .= "Content-Type: text/html; charset=UTF-8\r\n";

    $emailBody = "
        <p>We received your message. Thank you!</p>
        <div> Name : $name </div>
        <div> Email : $email </div>
        <div> Subject : $sub </div>
        <div> Message : $message </div>
    ";
    if (mail($to, $subject, $emailBody, $headers)) {
        echo 'Email sent successfully';
    } else {
        echo 'Email could not be sent.';
    }
}

$conn->close();
?>